Package javax.websocket.server

# Interface ServerApplicationConfig

public interface ServerApplicationConfig
Applications may provide an implementation of this interface to filter the discovered WebSocket endpoints that are deployed. Implementations of this class will be discovered via an ServletContainerInitializer scan.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Class<?>>`
  `getAnnotatedEndpointClasses(Set<Class<?>> scanned)`
  Enables applications to filter the discovered classes annotated with `ServerEndpoint`.
  `Set<ServerEndpointConfig>`
  `getEndpointConfigs(Set<Class<? extends Endpoint>> scanned)`
  Enables applications to filter the discovered implementations of `ServerEndpointConfig`.

- ## Method Details

  - ### getEndpointConfigs

    Set<ServerEndpointConfig> getEndpointConfigs(Set<Class<? extends Endpoint>> scanned)
    Enables applications to filter the discovered implementations of `ServerEndpointConfig`.
    Parameters:
      `scanned` - The `Endpoint` implementations found in the application
    Returns:
      The set of configurations for the endpoint the application wishes to deploy

  - ### getAnnotatedEndpointClasses

    Set<Class<?>> getAnnotatedEndpointClasses(Set<Class<?>> scanned)
    Enables applications to filter the discovered classes annotated with `ServerEndpoint`.
    Parameters:
      `scanned` - The POJOs annotated with `ServerEndpoint` found in the application
    Returns:
      The set of POJOs the application wishes to deploy